Bug 455447 - FEAT: RHEL 5.3: (1/2) Increase deep idle state residency on idle platforms using Nehalem class processors
FEAT: RHEL 5.3: (1/2) Increase deep idle state residency on idle platforms us...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: John Feeney
Martin Jenner
: FutureFeature
Depends On:
Blocks: 428015 455449 455516
  Show dependency treegraph
 
Reported: 2008-07-15 11:26 EDT by John Villalovos
Modified: 2015-05-08 10:03 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:02:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for this bug (1.53 KB, text/plain)
2008-07-15 11:35 EDT, John Villalovos
no flags Details

  None (edit)
Description John Villalovos 2008-07-15 11:26:41 EDT
1. Feature Name: Increase deep idle state residency on idle platforms using
Nehalem class processors

2. Description:
Architectures (mark all that apply)
x 32-bit x86
  64-bit Itanium2
x 64-bit Intel EM64T

Dependencies:
External links:
Priority (H,M,L): H
Target Releases:
Target Release Date:
Drivers or hardware dependency:
Target Kernel:

3. Business Justification:
a. Why is this feature needed?
Big power efficiency improvement.  Have seen savings of approximately 7-8%.
b. What hardware does this enable?
Nehalem CPUs
c. Forecast, volume or high end platform?
Volume
d. Any configuration info?
e. When needed?
f. Are there other dependencies (drivers).

4. Status:
a. Is code accepted upstream? If so, what version or patch?
Will add to bug info

5. Hardware to Red Hat? Red Hat can't integrate/test features without hardware.
Tylersburg-EP systems can be used to test this.

6. Partner management contact, email, phone, chat
keve.a.gabbert@intel.com

7. Partner technical contact, email, phone, chat
jvillalo@redhat.com
Comment 1 John Villalovos 2008-07-15 11:34:02 EDT
I am going to attach the simpler patch to this bug.

Together the two patches increase the deep idle state residency on an idle
platform and performance/power team folks found >16W savings with these two
patches out of total 220W idle power, which is 7-8%. Of the two patches, first
one is simpler and bigger savings and should be easier to push.
Comment 2 John Villalovos 2008-07-15 11:35:04 EDT
Created attachment 311847 [details]
Patch for this bug
Comment 5 Matthew Garrett 2008-08-06 06:23:20 EDT
Applying this and 455449, I'm not obviously seeing any increase in C3 residency (using powertop as a measuring tool). Is there a recommended way to perform this measurement?
Comment 6 John Villalovos 2008-08-06 07:35:20 EDT
Venki,

Can you answer the question about C3 residency?
Comment 7 Don Zickus 2008-09-12 21:47:44 EDT
in kernel-2.6.18-113.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 Chris Ward 2008-11-28 02:14:58 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 11 Song, Youquan 2008-12-02 01:42:04 EST
Verify on Tylersburg EP, the bug was fixed.
Comment 12 Song, Youquan 2008-12-02 04:29:02 EST
Verify on Tylersburg EP, the bug was fixed.
Comment 14 errata-xmlrpc 2009-01-20 15:02:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.